package com.mortals.xhx.module.hik.face.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.face.model.req.plan.PlanRecognBlackListReq;
import com.mortals.xhx.module.hik.face.model.req.plan.PlanRecognBlackReq;
import com.mortals.xhx.module.hik.face.model.rsp.plan.PlanRecognBlackInfo;

import java.util.List;

/**
 * 海康门禁接口对接类
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikPlanService {


    /**
     * 查询重点识别计划
     * @param planRecognBlackListReq
     * @return
     */
    Rest<List<PlanRecognBlackInfo>> findPlanRecognBlackList(PlanRecognBlackListReq planRecognBlackListReq);

    /**
     * 人员监视计划
     * @param planRecognBlackReq
     * @return
     */
    Rest<String> planRecognBlackAdd(PlanRecognBlackReq planRecognBlackReq);

    /**
     * 人员监视计划删除
     * @param planRecognBlackReq
     * @return
     */
    Rest<Boolean> planRecognBlackDel(PlanRecognBlackReq planRecognBlackReq);

}
